[Rainmeter] 
Author=Natali
Update=100
UpdateRate=1200

End of added Metadata

[MeasureNetIn]
Measure=NetIn

[NetCountIn]
Measure=Netin
Cumulative=1

[MeasureNetOut]
Measure=NetOut

[NetCountOut]
Measure=NetOut
Cumulative=1
================

[Dtext1]
Meter=STRING
X=195
Y=0
W=160
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="Входящий"
Updatedivider=10

[Dtext2]
Meter=STRING
X=5
y=60
FontSize=11
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="Cкорость -"
Updatedivider=10

[Dtext3]
Meter=STRING
MeasureName=MeasureNetin
X=120
Y=60
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
NumOfDecimals=1
UpdateDivider=10

[Dtext4]
Meter=STRING
X=5
y=80
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="Принято -"
Updatedivider=10

[Dtext5]
Meter=STRING
MeasureName=NetCountin
X=120
Y=80
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
NumOfDecimals=2
Updatedivider=10

[DImage]
Meter=Image
ImageName=#SKINSPATH#\An animated circle\IMAGE\1.png
X=0
Y=40
UpdateDivider=10

[DBar]
Meter=Bar
MeasureName=MeasureNetIn
X=7
Y=45
BarImage=#SKINSPATH#\An animated circle\IMAGE\2.png
BarOrientation=HORIZONTAL
Flip=0
UpdateDivider=10

[DLine]
Meter=Line
MeasureName=MeasureNetIn
X=5
Y=-10
H=45
W=170
LineCount=1
LineColor=41,183,255
AutoScale=1
AntiAlias=1
UpdateDivider=10

[DHistogram]
Meter=HISTOGRAM
MeasureName=MeasureNetIn
X=5
Y=-10
H=40
W=170
PrimaryColor=68,255,255,0
AutoScale=1
AntiAlias=1
UpdateDivider=10

================

[Utext1]
Meter=STRING
X=300
Y=0
W=160
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="Исходящий"
Updatedivider=10

[Utext2]
Meter=STRING
X=405
y=60
FontSize=11
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="Cкорость -"
Updatedivider=10

[Utext3]
Meter=STRING
MeasureName=MeasureNetOut
X=520
Y=60
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
NumOfDecimals=1
UpdateDivider=10

[Utext4]
Meter=STRING
X=405
y=80
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="Отдано -"
Updatedivider=10

[Utext5]
Meter=STRING
MeasureName=NetCountOut
X=520
Y=80
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
NumOfDecimals=2
Updatedivider=10

[UImage]
Meter=Image
ImageName=#SKINSPATH#\An animated circle\IMAGE\1.png
X=400
Y=40
UpdateDivider=10

[UBar]
Meter=Bar
MeasureName=MeasureNetOut
X=407
Y=45
BarImage=#SKINSPATH#\An animated circle\IMAGE\2.png
BarOrientation=HORIZONTAL
Flip=0
UpdateDivider=10

[ULine]
Meter=Line
MeasureName=MeasureNetOut
X=405
Y=-10
H=45
W=170
LineCount=1
LineColor=41,183,255
AutoScale=1
AntiAlias=1
UpdateDivider=10

[UHistogram]
Meter=HISTOGRAM
MeasureName=MeasureNetOut
X=405
Y=-10
H=40
W=170
PrimaryColor=68,255,255,0
AutoScale=1
AntiAlias=1
UpdateDivider=10
=================
Internet NetIn

[MeasureNetIn]
Measure=NetIn
AverageSize=20

[CalcNetIn]
Measure=Calc
Formula=MeasureNetIn/104857

[MeasureRing]
Measure=Calc
Formula=360

[Inimage] 
Meter=IMAGE
ImageName=#SKINSPATH#\An animated circle\IMAGE\5.png
x=190
y=15
H=90
W=90
Solid=1 
AntiAlias=1
UpdateDivider=10
 
[InBar]
Meter=ROUNDLINE
MeasureName=CalcNetIn
x=185
y=10
H=100
W=100
LineWidth=3
LineLength=37
LineStart=0
StartAngle=4.7124
AntiAlias=1
LineColor=41,183,255,170
Solid=1
UpdateDivider=10

=========================

Internet NetOut

[MeasureNetOut]
Measure=NetOut
AverageSize=20

[CalcNetOut]
Measure=Calc
Formula=MeasureNetOut/104857

[MeasureRing]
Measure=Calc
Formula=360

[Outimage] 
Meter=IMAGE
ImageName=#SKINSPATH#\An animated circle\IMAGE\5.png
x=300
y=15
H=90
W=90
Solid=1 
AntiAlias=1
UpdateDivider=10
 
[OutBar]
Meter=ROUNDLINE
MeasureName=CalcNetOut
x=295
y=10
H=100
W=100
LineWidth=3
LineLength=37
LineStart=0
StartAngle=4.7124
AntiAlias=1
LineColor=41,183,255,170
Solid=1
UpdateDivider=10

============
Анимация
============

[ImageMeterIn]
Meter=Image
X=175
Y=2
W=120
H=120
ImageName=#SKINSPATH#\An animated circle\IMAGE\B\[ImageNumberCalc].png
DynamicVariables=1

[ImageMeterOut]
Meter=Image
X=285
Y=2
W=120
H=120
ImageName=#SKINSPATH#\An animated circle\IMAGE\A\[ImageNumberCalc].png
DynamicVariables=1

[ImageNumberCalc]
Measure=Calc
Formula=Counter % 60
Substitute=".00000":""

==================
[Reset]
Meter=IMAGE
ImageName=#SKINSPATH#\An animated circle\IMAGE\4.png
X=280
Y=20
H=20
W=20
LeftMouseDownAction=!Execute [!RainmeterResetStats]

===============

IP Adress 

[MeasureIP]
Measure=Plugin
Plugin=Plugins\WebParser.dll
URL=http://checkip.dyndns.org
RegExp="(?siU)<body>(.+)Address: (.+)</body>"
StringIndex=2
UpdateRate=3600

[MeasureLAN]
Measure=Plugin
Plugin=Plugins\SysInfo.dll
SysInfoType=IP_ADDRESS
SysInfoData=0

[MeasureDNS]
Measure=Plugin
Plugin=Plugins\SysInfo.dll
SysInfoType=DNS_SERVER
SysInfoData=1

==========
[textIPtext]
Meter=String
x=280
y=80
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="IP"
LeftMouseDownAction=!Execute [!RainmeterShowMeterGroup IP][!RainmeterRedraw]

[IPhidden]
Meter=Image
SolidColor=0,0,0,1
x=280
y=80
W=110
H=20
Group=IP
Hidden=1
LeftMouseDownAction=!Execute [!RainmeterHideMeterGroup IP][!RainmeterRedraw]

============

[IPtext1]
Meter=STRING
x=205
y=110
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="IP  - "
Group=IP
Hidden=1

[IPtext2]
Meter=STRING
MeasureName=MeasureIP
x=255
y=110
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="%1"
Group=IP
Hidden=1

[LANtext1]
Meter=STRING
x=205
y=130
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="LAN  - "
Group=IP
Hidden=1

[LANtext2]
Meter=STRING
MeasureName=MeasureLAN
x=285
y=130
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="%1"
Group=IP
Hidden=1

[DNStext1]
Meter=STRING
x=205
y=150
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="DNS  - "
Group=IP
Hidden=1

[DNStex2]
Meter=STRING
MeasureName=MeasureDNS
x=285
y=150
FontColor=41,183,255
FontSize=11
StringAlign=LEFT
FontFace=SlideR
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
AntiAlias=1
AutoScale=1
Text="%1"
Group=IP
Hidden=1

